Subject: [6tisch] OTF draft updates - open issues

From: Maria Rita PALATTELLA <[email-masked]>
Date: Wed, 5 Feb 2014 17:00:39 +0000

Dear Diego, all
I have updated abstract/intro and allocation policy sections of the OTF draft, according to the last discussion we had (and some comments provided by Alfredo).
The temporary version is available on bitbucket (https://bitbucket.org/6tisch/draft-dujovne-6tisch-on-the-fly/src)
Before keeping in editing it, and addressing the issues that you assigned to me, I would like to double check if we are alligned about what OTF is, and what should do, what are the policies, and the methods.

At the same time, I would like to raise up here some questions:

1)      OTF allows neighbor nodes to negotiate the cells/bundles to be allocated/deleted, by using 6top commands. OTF will send requests to 6top when there is need to increase/decrease the allocated bandwidth between two nodes. But what trigger the bandwith request to OTF? I mean, how OTF will know when cells/bundles should be added/deleted? Maybe, we should plan the periodic monitor of some statistics (provided by 6top), and then, based on the current network condition, trigger a bandwidth request to OTF. What do you think?

2)      In the old version of the draft, it was mentioned that OTF should keep track of allocated soft cells and bundles. I guess, you meant the NUMBER of soft cells and bundles. Because OTF does not have access to other information. Only 6top knows which specific cells are allocated, or which cells are used within a bundle. Do you agree?

3)      The allocation policy defines the approach used by OTF for fulfilling the bandwith request. OTF can translate the bandwith request into single cell or bundle allocation requests to 6top. Thus, the allocation policy should estimate the number of cells or the bundle size, needed, based on the traffic requirements. What we are still missing is the method used for computing such estimated number/size. Are you planning to leave it outside the scope of the draft?

4)       In the old version of the draft, while describing the allocation policy, there were some contraditions. In the Hybrid allocation policy, you said: OTF must decide between allocating individual softcells, incrementing the number of used cells within a bundle,... but before in the Pre-allocation policy description, you stated that it is up to the scheduling algorithm to  schedule the cells within the bundle. IMHO, OTF knowing the size of the bundle, and the number of used cells within a bundle, can realize if there are still empty cells that could be used in the bundle, or if there is need to increase the size of the bundle. But only 6top and the scheduling algorithm know which specific cells are used.

Looking forward to receiving you feedback.
Thank you
Maria Rita